Posted at

depを導入した環境でmultiple-value uuid.NewV4() in single-value contextと怒られる

More than 1 year has passed since last update.

割とよくあることだと思うんですけど、日本語の情報がほとんどなかったのでメモ。

なにが起きたかと言うと、depを使ってる環境でgo.uuidを使うとmultiple-value uuid.NewV4() in single-value contextと怒られるって話です。

要は最新のgo.uuidとdepの取ってくるやつのバージョンが違うからだと思うんですけど。

Gopkg.tomlにこいつを書き足すと治るかと思います。たぶん。

[[override]]

name = "github.com/satori/go.uuid"
branch = "master"

dep ensure

を忘れないでね。